RapidMiner 9.7 is Now Available

Lots of amazing new improvements including true version control! Learn more about what's new here.

CLICK HERE TO DOWNLOAD

Ubuntu 184.1 LTS: Error when installing Rapidminer Stuidio

AlandeyAlandey Member Posts: 8 Contributor II
edited December 2018 in Help

Ubuntu 18.04.1 LTS: Error when installing Rapidminer Stuidio

 

Aug 31, 2018 12:17:26 AM com.rapidminer.tools.config.ClientConfigurationManager loadAllParameters
INFO: No configuration file found for Google Cloud Storage Connection
Aug 31, 2018 12:17:26 AM com.rapidminer.tools.config.ConfigurationManager loadConfiguration
INFO: Loaded configurations for 0 objects of type Google Cloud Storage Connection.
Aug 31, 2018 12:17:26 AM com.rapidminer.tools.config.ConfigurationManager loadConfiguration
INFO: Load configuration for Twitter Connection.
Aug 31, 2018 12:17:26 AM com.rapidminer.tools.config.ClientConfigurationManager loadAllParameters
INFO: No configuration file found for Twitter Connection
Aug 31, 2018 12:17:26 AM com.rapidminer.tools.config.ConfigurationManager loadConfiguration
INFO: Loaded configurations for 0 objects of type Twitter Connection.
Aug 31, 2018 12:17:30 AM com.rapidminer.search.GlobalSearchRegistry registerSearchCategory
INFO: Global Search category actions registered.
Exception in thread "main" java.lang.NoClassDefFoundError: javax/xml/ws/WebServiceException
    at com.rapidminer.tools.update.internal.MarketplaceGUIStartupListener.mainFrameInitialized(MarketplaceGUIStartupListener.java:83)
    at com.rapidminer.gui.RapidMinerGUI.run(RapidMinerGUI.java:415)
    at com.rapidminer.gui.RapidMinerGUI.launch(RapidMinerGUI.java:825)
    at com.rapidminer.gui.RapidMinerGUI.main(RapidMinerGUI.java:801)
    at com.rapidminer.launcher.GUILauncher.main(GUILauncher.java:332)
Caused by: java.lang.ClassNotFoundException: javax.xml.ws.WebServiceException
    at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:582)
    at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:185)
    at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:496)
    ... 5 more

image.png

Best Answer

  • AlandeyAlandey Member Posts: 8 Contributor II
    Solution Accepted

    Hello, Thank very much all friends about your sugestions. I decided removed all version java in my operation system and install just java 8. Next it, i install Rapidminer completaly.

     

    image.png

     

    sgenzer

Answers

  • atimmatimm Employee, Member Posts: 13   RM Engineering

    Hi @Alandey,

     

    what Java version are you using? If not sure you can execute the command 'java -version' on the commandline and paste the output here.

     

    Best,

    Andreas

     

     

  • Marco_BoeckMarco_Boeck Team Lead Software Engineering Administrator, Moderator, Employee, Member, University Professor Posts: 1,938   RM Engineering

    Hi,

     

    You are using Java 9 or Java 10. Please note that we only support Java 8 at this point. Please install the latest Oracle Java 8 version and it will work.

     

    Regards,

    Marco

  • AlandeyAlandey Member Posts: 8 Contributor II

    Hello, thank you for consideation. I have a lot of version and tried and not solve.

     

    $ java -version
    openjdk version "10.0.2" 2018-07-17
    OpenJDK Runtime Environment (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.1)
    OpenJDK 64-Bit Server VM (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.1, mixed mode)

     

     

    $ sudo update-alternatives --config java
      Selecção   Caminho                                      Prioridade Estado
    ------------------------------------------------------------
    * 0            /usr/lib/jvm/java-11-openjdk-amd64/bin/java   1101      modo automático
      1            /usr/lib/jvm/java-11-openjdk-amd64/bin/java   1101      modo manual
      2            /usr/lib/jvm/java-8-oracle/jre/bin/java       1081      modo manual
      3            /usr/lib/jvm/java-9-oracle/bin/java           1091      modo manual
      4            /usr/lib/jvm/jdk-10/jdk-10/bin/java           1         modo manual
      5            /usr/lib/jvm/jdk1.8.0_181/bin/java            1         modo manual

  • kaymankayman Member Posts: 509   Unicorn

    This shows version 11 is your default, you need to select nr 2 (version 8) and select that as default.

  • AlandeyAlandey Member Posts: 8 Contributor II

    Hello, Thank. Unfortunaly, i changerd for Java version 8 and continuos with error.

     

    image.png

    image.png

    image.png

  • falreisfalreis Member Posts: 1 Contributor I

    A simpler solution is just to add the option "--add-modules java.se.ee" inside .sh file, as the example below.

     

     

    # Launch Studio
    LAUNCH=0
    if [ $# -gt 0 ]; then
    eval \"$JAVA\" $JVM_OPTIONS --add-modules java.se.ee -cp \"${rmClasspath}\" com.rapidminer.launcher.GUILauncher \"$@\"
    else
    eval \"$JAVA\" $JVM_OPTIONS --add-modules java.se.ee -cp \"${rmClasspath}\" com.rapidminer.launcher.GUILauncher
    fi
    sgenzerhughesfleming68
Sign In or Register to comment.